import request from '@/utils/request'

/**
 *  @data 新增权限模板参数 权限模板新增接口
 */
export const addTemplateAPI = (data) => {
    return request.post('/system/template', data)
}
/**
 *  @data 修改权限模板参数 权限模板修改接口
 */
export const editTemplateAPI = (data) => {
    return request.post('/system/template/edit', data)
}
/**
 *  @data 查询参数 权限模板列表接口
 */
export const getTemplateListAPI = (data) => {
    return request.get(`/system/template/list`, { params: data })
}
/**
 *  @data 删除参数 权限模板删除接口
 *  @ids  参数
 */
export const deleteTemplateAPI = (data) => {
    return request.post('/system/template/delete/' + data)
}
/**
 *  @data 删除参数 查询权限模板详情
 */
export const getTemplateMenuTreeselectAPI = (id) => {
    return request.get(`/system/template/templateMenuTreeselect/${id}`)
}
